YepAPI
AI Models

Qwen3.7 Flash

Qwen3.7 Flash is a low-cost vision-language reasoning model from Alibaba, suited to multimodal agents, visual coding, search and computer interaction. Qwen Budget Vision-Language Model, with a 1M token context window.

POST/v1/ai/chat
$0.01/call

Overview

Qwen3.7 Flash is a low-cost vision-language reasoning model from Alibaba, suited to multimodal agents, visual coding, search and computer interaction. Qwen Budget Vision-Language Model, with a 1M token context window.

PropertyValue
Model IDqwen/qwen3.7-flash
Context Window1,000,000 tokens
Max Output65,536 tokens
Input Price$0.04 / 1M tokens
Output Price$0.19 / 1M tokens

Usage

const res = await fetch('https://api.yepapi.com/v1/ai/chat', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'qwen/qwen3.7-flash',
    messages: [{ role: 'user', content: "Describe the layout of this screenshot and say where the submit button is." }],
  }),
});
const { data } = await res.json();
console.log(data.message.content);
curl -X POST https://api.yepapi.com/v1/ai/chat \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "qwen/qwen3.7-flash", "messages": [{"role": "user", "content": "Describe the layout of this screenshot and say where the submit button is."}]}'

Request Body

ParameterTypeRequiredDescriptionDefault
modelstringYesModel ID (e.g. qwen/qwen3.7-flash)—
messagesMessage[]YesArray of { role, content } objects—
maxTokensnumberNoMaximum tokens in the responseModel default
temperaturenumberNoSampling temperature (0.0–2.0)1.0
topPnumberNoNucleus sampling threshold1.0
frequencyPenaltynumberNoPenalize repeated tokens0
presencePenaltynumberNoPenalize tokens already present0
streambooleanNoEnable SSE streamingfalse
Info

All AI models use the /v1/ai/chat endpoint. Specify the model with the model field.

Response

{
  "ok": true,
  "data": {
    "model": "qwen/qwen3.7-flash",
    "message": {
      "role": "assistant",
      "content": "The page has a top navigation bar, a two-column form in the centre with name and email on the left and message on the right, and a blue Submit button below the form, aligned right."
    },
    "usage": {
      "promptTokens": 24,
      "completionTokens": 180,
      "totalTokens": 204
    }
  }
}

Streaming

Set "stream": true to receive Server-Sent Events. Each chunk contains a delta object:

data: {"delta":{"content":"The"},"model":"qwen/qwen3.7-flash","index":0}
data: [DONE]
Under the Hood

We handle auth, billing, and response normalization — you just send messages.

On this page